#include <bits/stdc++.h>
#define ll long long
using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    int n, a, b;
    char c;
    cin >> n;
    for(int i=1;i<n;i++)
    {
        cin >> a >> b >> c;
    }
    cout << "0";
    return 0;
}